summaryrefslogtreecommitdiffstats
path: root/pasture
diff options
context:
space:
mode:
Diffstat (limited to 'pasture')
-rwxr-xr-xpasture/source/apmd/apmd.SlackBuild (renamed from pasture/source/rexima/rexima.SlackBuild)73
-rw-r--r--pasture/source/apmd/slack-desc19
-rwxr-xr-xpasture/source/aumix/aumix.SlackBuild83
-rw-r--r--pasture/source/aumix/slack-desc19
-rw-r--r--pasture/source/rexima/slack-desc19
-rw-r--r--pasture/source/xfce4-mixer/0001-Make-Unique-support-optional.patch111
-rw-r--r--pasture/source/xfce4-mixer/0001-Use-datadir-xfce4-mixer-as-MIXER_DATADIR.patch63
-rw-r--r--pasture/source/xfce4-mixer/0001-icons-Makefile.am-Remove-unnecessary-gtk-update-icon.patch36
-rw-r--r--pasture/source/xfce4-mixer/doinst.sh14
-rw-r--r--pasture/source/xfce4-mixer/slack-desc19
-rwxr-xr-xpasture/source/xfce4-mixer/xfce4-mixer.SlackBuild115
-rw-r--r--pasture/source/xfce4-volumed/0001-Removed-deprecated-Encoding-entry-in-.desktop-file-t.patch37
-rw-r--r--pasture/source/xfce4-volumed/0003-Removing-edge-case-memleaks.patch80
-rw-r--r--pasture/source/xfce4-volumed/slack-desc19
-rwxr-xr-xpasture/source/xfce4-volumed/xfce4-volumed.SlackBuild109
15 files changed, 677 insertions, 139 deletions
diff --git a/pasture/source/rexima/rexima.SlackBuild b/pasture/source/apmd/apmd.SlackBuild
index 05133e7cd..b17ddf36f 100755
--- a/pasture/source/rexima/rexima.SlackBuild
+++ b/pasture/source/apmd/apmd.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,9 +20,8 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-
-VERSION=1.4
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-3.2.2}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -34,17 +33,32 @@ if [ -z "$ARCH" ]; then
esac
fi
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
CWD=$(pwd)
TMP=${TMP:-/tmp}
-PKG=$TMP/package-rexima
+PKG=$TMP/package-apmd
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
-rm -rf rexima-$VERSION
-tar xvf $CWD/rexima-$VERSION.tar.gz || exit 1
-cd rexima-$VERSION || exit 1
+rm -rf apmd-$VERSION
+tar xvf $CWD/apmd-$VERSION.tar.bz2 || exit 1
+cd apmd-$VERSION
+
+if [ "$ARCH" = "x86_64" ]; then
+ sed -i -e "s#/lib#/lib64#" Makefile
+fi
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -52,26 +66,49 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-make || exit 1
+CFLAGS="$SLKCFLAGS" make $NUMJOBS || exit 1
+CFLAGS="$SLKCFLAGS" make install DESTDIR=$PKG
+
+( cd xbattery
+ cp ../.libs/libapm.a ..
+ xmkmf
+ make -j3
+)
-strip rexima
mkdir -p $PKG/usr/bin
-cat rexima > $PKG/usr/bin/rexima
-chmod 755 $PKG/usr/bin/rexima
+cat xapm > $PKG/usr/bin/xapm
+cat xbattery/xbattery > $PKG/usr/bin/xbattery
+chmod 755 $PKG/usr/bin/{xapm,xbattery}
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
mkdir -p $PKG/usr/man/man1
-cat rexima.1 | gzip -9c > $PKG/usr/man/man1/rexima.1.gz
+cat xbattery/xbattery.man | gzip -9c > $PKG/usr/man/man1/xbattery.1.gz
+for page in apm.1 apmsleep.1 on_ac_power.1 xapm.1 ; do
+ cat $page | gzip -9c > $PKG/usr/man/man1/${page}.gz
+done
+mkdir -p $PKG/usr/man/man8
+cat apmd.8 | gzip -9c > $PKG/usr/man/man8/apmd.8.gz
+mkdir -p $PKG/usr/man/fr/man1
+cat apmsleep.fr.1 | gzip -9c > $PKG/usr/man/fr/man1/apmsleep.1.gz
+
+# Remove this version since the one in pm-utils is better:
+rm -f $PKG/usr/bin/on_ac_power
+rm -f $PKG/usr/man/man1/on_ac_power.1.gz
-mkdir -p $PKG/usr/doc/rexima-$VERSION
+mkdir -p $PKG/usr/doc/apmd-$VERSION
cp -a \
- COPYING README ChangeLog NEWS \
- $PKG/usr/doc/rexima-$VERSION
-chmod 644 $PKG/usr/doc/rexima-$VERSION/*
+ AUTHORS COPYING LSM README apmlib.COPYING apmsleep.README \
+ $PKG/usr/doc/apmd-$VERSION
+cp -a xbattery/README $PKG/usr/doc/apmd-$VERSION/README.xbattery
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
# Build the package:
cd $PKG
-/sbin/makepkg -l y -c n $TMP/rexima-$VERSION-$ARCH-$BUILD.txz
+makepkg -c n -l y $TMP/apmd-$VERSION-$ARCH-$BUILD.txz
diff --git a/pasture/source/apmd/slack-desc b/pasture/source/apmd/slack-desc
new file mode 100644
index 000000000..a6f5c9a65
--- /dev/null
+++ b/pasture/source/apmd/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+apmd: apmd (Advanced Power Management daemon)
+apmd:
+apmd: apmd is an APM monitoring daemon, and works in conjunction with the
+apmd: APM BIOS driver in the kernel. Apmd (and the included tools) handle
+apmd: tasks such as automatically putting a laptop into suspend when the
+apmd: power level drop below a certain point. This package also includes
+apmd: the graphical power management tools xapm and xbattery.
+apmd:
+apmd: The apmd tools were written by Rik Faith and are maintained by
+apmd: Avery Pennarun. xbattery was written by Nathan Sidwell.
+apmd:
diff --git a/pasture/source/aumix/aumix.SlackBuild b/pasture/source/aumix/aumix.SlackBuild
deleted file mode 100755
index e500c0531..000000000
--- a/pasture/source/aumix/aumix.SlackBuild
+++ /dev/null
@@ -1,83 +0,0 @@
-#!/bin/sh
-
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
-# All rights reserved.
-#
-# Redistribution and use of this script, with or without modification, is
-# permitted provided that the following conditions are met:
-#
-# 1. Redistributions of this script must retain the above copyright
-# notice, this list of conditions and the following disclaimer.
-#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
-# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
-# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
-# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
-# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-
-PKGNAM=aumix
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
-
-# Automatically determine the architecture we're building on:
-if [ -z "$ARCH" ]; then
- case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
- arm*) export ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
- *) export ARCH=$( uname -m ) ;;
- esac
-fi
-
-if [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
-else
- SLKCFLAGS="-O2"
-fi
-
-CWD=$(pwd)
-TMP=${TMP:-/tmp}
-PKG=$TMP/package-aumix
-
-rm -rf $PKG
-mkdir -p $TMP $PKG
-
-cd $TMP
-rm -rf aumix-$VERSION
-tar xvf $CWD/aumix-$VERSION.tar.?z* || exit 1
-cd aumix-$VERSION
-chown -R root:root .
-
-CFLAGS="$SLKCFLAGS" \
-./configure \
- --prefix=/usr \
- --mandir=/usr/man \
- --without-gtk1 \
- --build=$ARCH-slackware-linux
-
-make || exit 1
-make install DESTDIR=$PKG
-strip $PKG/usr/bin/*
-mkdir -p $PKG/usr/doc/aumix-$VERSION
-cp -a \
- ABOUT-NLS AUTHORS BUGS COPYING* INSTALL NEWS README* TODO \
- $PKG/usr/doc/aumix-$VERSION
-# This is obsolete (besides being broken)
-rm -f $PKG/usr/bin/xaumix $PKG/usr/man/man1/xaumix.1
-
-# More fluff, doesn't deserve mainsteam placement
-mv $PKG/usr/bin/mute $PKG/usr/doc/aumix-$VERSION/mute.sh
-mv $PKG/usr/man/man1/mute* $PKG/usr/doc/aumix-$VERSION
-
-gzip -9 $PKG/usr/man/man1/*
-mkdir $PKG/install
-cat $CWD/slack-desc > $PKG/install/slack-desc
-
-cd $PKG
-makepkg -l y -c n $TMP/aumix-$VERSION-$ARCH-$BUILD.txz
-
diff --git a/pasture/source/aumix/slack-desc b/pasture/source/aumix/slack-desc
deleted file mode 100644
index 70e780877..000000000
--- a/pasture/source/aumix/slack-desc
+++ /dev/null
@@ -1,19 +0,0 @@
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
-# leave one space after the ':'.
-
- |-----handy-ruler------------------------------------------------------|
-aumix: aumix (GTK+/ncurses audio mixer)
-aumix:
-aumix: This is a program for adjusting audio mixers from the command line or
-aumix: scripts, or interactively at the console or a terminal with a
-aumix: full-screen, ncurses-based interface or a GTK-based X interface.
-aumix:
-aumix:
-aumix:
-aumix:
-aumix:
-aumix:
diff --git a/pasture/source/rexima/slack-desc b/pasture/source/rexima/slack-desc
deleted file mode 100644
index 8a8adabcc..000000000
--- a/pasture/source/rexima/slack-desc
+++ /dev/null
@@ -1,19 +0,0 @@
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
-
- |-----handy-ruler------------------------------------------------------|
-rexima: rexima (console audio mixer)
-rexima:
-rexima: Rexima is a curses-based interactive audio mixer. It can also be used
-rexima: from the command-line. It's designed to be small, fast, and
-rexima: straightforward. It also offers a command line mode so you can script
-rexima: mixer settings.
-rexima:
-rexima: Rexima was written by Russell Marks.
-rexima:
-rexima:
-rexima:
diff --git a/pasture/source/xfce4-mixer/0001-Make-Unique-support-optional.patch b/pasture/source/xfce4-mixer/0001-Make-Unique-support-optional.patch
new file mode 100644
index 000000000..3817f02d2
--- /dev/null
+++ b/pasture/source/xfce4-mixer/0001-Make-Unique-support-optional.patch
@@ -0,0 +1,111 @@
+From 7a18841c988edb593127842ec5c919df537f9ce0 Mon Sep 17 00:00:00 2001
+From: Andrzej <ndrwrdck@gmail.com>
+Date: Sat, 12 Apr 2014 08:53:09 +0100
+Subject: [PATCH] Make Unique support optional
+
+---
+ configure.ac.in | 4 +++-
+ xfce4-mixer/main.c | 21 +++++++++++++++++++++
+ 2 files changed, 24 insertions(+), 1 deletion(-)
+
+diff --git a/configure.ac b/configure.ac
+index b00fd75..57ae07c 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -98,7 +98,6 @@ XDT_CHECK_PACKAGE([GTHREAD], [gthread-2.0], [2.24.0])
+ XDT_CHECK_PACKAGE([DBUS_GLIB], [dbus-glib-1], [0.84])
+ XDT_CHECK_PACKAGE([GST_PLUGINS_BASE], [gstreamer-plugins-base-0.10], [0.10.25])
+ XDT_CHECK_PACKAGE([GTK], [gtk+-2.0], [2.20.0])
+-XDT_CHECK_PACKAGE([UNIQUE], [unique-1.0], [1.1])
+ XDT_CHECK_PACKAGE([LIBXFCE4UTIL], [libxfce4util-1.0], [4.10.0])
+ XDT_CHECK_PACKAGE([LIBXFCE4UI], [libxfce4ui-1], [4.10.0])
+ XDT_CHECK_PACKAGE([LIBXFCE4PANEL], [libxfce4panel-1.0], [4.10.0])
+@@ -109,6 +108,8 @@ dnl *** Check for optional packages ***
+ dnl ***********************************
+ XDT_CHECK_OPTIONAL_PACKAGE([KEYBINDER], [keybinder], [0.2.2], [keybinder],
+ [keybinder Support])
++XDT_CHECK_OPTIONAL_PACKAGE([UNIQUE], [unique-1.0], [1.1], [unique],
++ [unique Support])
+
+ dnl ***********************************
+ dnl *** Check for debugging support ***
+@@ -151,6 +152,7 @@ dnl ***************************
+ echo
+ echo "Build Configuration:"
+ echo
++echo " * unique Support: ${UNIQUE_FOUND:-no}"
+ echo " * keybinder Support: ${KEYBINDER_FOUND:-no}"
+ echo " * Debug Support: $enable_debug"
+ echo
+diff --git a/xfce4-mixer/main.c b/xfce4-mixer/main.c
+index 9e8417b..7fda388 100644
+--- a/xfce4-mixer/main.c
++++ b/xfce4-mixer/main.c
+@@ -30,7 +30,10 @@
+ #include <gst/gst.h>
+
+ #include <gtk/gtk.h>
++
++#ifdef HAVE_UNIQUE
+ #include <unique/unique.h>
++#endif
+
+ #include <libxfce4util/libxfce4util.h>
+ #include <libxfce4ui/libxfce4ui.h>
+@@ -42,6 +45,7 @@
+
+
+
++#ifdef HAVE_UNIQUE
+ static UniqueResponse
+ message_received (UniqueApp *app,
+ UniqueCommand command,
+@@ -68,6 +72,7 @@ message_received (UniqueApp *app,
+
+ return response;
+ }
++#endif
+
+
+
+@@ -75,7 +80,9 @@ int
+ main (int argc,
+ char **argv)
+ {
++#ifdef HAVE_UNIQUE
+ UniqueApp *app;
++#endif
+ GtkWidget *window;
+ GError *error = NULL;
+ gboolean debug_mode = FALSE;
+@@ -162,6 +169,7 @@ main (int argc,
+ if (debug_mode)
+ xfce_mixer_dump_gst_data ();
+
++#ifdef HAVE_UNIQUE
+ /* Create unique application */
+ app = unique_app_new ("org.xfce.xfce4-mixer", NULL);
+ if (unique_app_is_running (app))
+@@ -192,6 +200,19 @@ main (int argc,
+ /* Destroy the window */
+ gtk_widget_destroy (window);
+ }
++#else
++ /* Create the mixer window */
++ window = xfce_mixer_window_new ();
++
++ /* Display the mixer window */
++ gtk_widget_show (window);
++
++ /* Enter the GTK+ main loop */
++ gtk_main ();
++
++ /* Destroy the window */
++ gtk_widget_destroy (window);
++#endif
+
+ /* Shutdown the mixer library */
+ xfce_mixer_shutdown ();
+--
+2.3.1
+
diff --git a/pasture/source/xfce4-mixer/0001-Use-datadir-xfce4-mixer-as-MIXER_DATADIR.patch b/pasture/source/xfce4-mixer/0001-Use-datadir-xfce4-mixer-as-MIXER_DATADIR.patch
new file mode 100644
index 000000000..f0b32dad3
--- /dev/null
+++ b/pasture/source/xfce4-mixer/0001-Use-datadir-xfce4-mixer-as-MIXER_DATADIR.patch
@@ -0,0 +1,63 @@
+From a60d7b81674449d1753fcf8bb15c57fc178424e6 Mon Sep 17 00:00:00 2001
+From: Robby Workman <rworkman@slackware.com>
+Date: Thu, 19 Feb 2015 19:36:21 -0600
+Subject: [PATCH 1/2] Use $(datadir)/xfce4/mixer/ as MIXER_DATADIR
+
+Follow common practice of other Xfce componenets and use
+$(datadir)/xfce4/mixer/ instead of $(datadir)/xfce4-mixer/.
+---
+ icons/16x16/Makefile.am | 2 +-
+ icons/scalable/Makefile.am | 2 +-
+ libxfce4mixer/Makefile.am | 2 +-
+ xfce4-mixer/Makefile.am | 2 +-
+ 4 files changed, 4 insertions(+), 4 deletions(-)
+
+diff --git a/icons/16x16/Makefile.am b/icons/16x16/Makefile.am
+index 803a2e4..ace4a07 100644
+--- a/icons/16x16/Makefile.am
++++ b/icons/16x16/Makefile.am
+@@ -1,4 +1,4 @@
+-iconsdir = $(pkgdatadir)/icons/hicolor/16x16/status
++iconsdir = $(datadir)/xfce4/mixer/icons/hicolor/16x16/status
+ icons_DATA = audio-input-microphone-muted.png
+
+ EXTRA_DIST = $(icons_DATA)
+diff --git a/icons/scalable/Makefile.am b/icons/scalable/Makefile.am
+index 5bfc12c..5212e63 100644
+--- a/icons/scalable/Makefile.am
++++ b/icons/scalable/Makefile.am
+@@ -1,4 +1,4 @@
+-iconsdir = $(pkgdatadir)/icons/hicolor/scalable/status
++iconsdir = $(datadir)/xfce4/mixer/icons/hicolor/scalable/status
+ icons_DATA = audio-input-microphone-muted.svg
+
+ EXTRA_DIST = $(icons_DATA)
+diff --git a/libxfce4mixer/Makefile.am b/libxfce4mixer/Makefile.am
+index 792a95e..e864ea8 100644
+--- a/libxfce4mixer/Makefile.am
++++ b/libxfce4mixer/Makefile.am
+@@ -25,7 +25,7 @@ libxfce4mixer_la_CPPFLAGS = \
+ -DDATADIR=\"$(datadir)\" \
+ -DPACKAGE_LOCALE_DIR=\"$(localedir)\" \
+ -DG_LOG_DOMAIN=\"libxfce4mixer\" \
+- -DMIXER_DATADIR=\"$(pkgdatadir)\"
++ -DMIXER_DATADIR=\"$(datadir)/xfce4/mixer\"
+
+ libxfce4mixer_la_CFLAGS = \
+ $(PLATFORM_CFLAGS) \
+diff --git a/xfce4-mixer/Makefile.am b/xfce4-mixer/Makefile.am
+index 4af69e9..f979b92 100644
+--- a/xfce4-mixer/Makefile.am
++++ b/xfce4-mixer/Makefile.am
+@@ -23,7 +23,7 @@ xfce4_mixer_CPPFLAGS = \
+ -I$(top_srcdir) \
+ -DPACKAGE_LOCALE_DIR=\"$(localedir)\" \
+ -DDATADIR=\"$(datadir)\" \
+- -DMIXER_DATADIR=\"$(pkgdatadir)\" \
++ -DMIXER_DATADIR=\"$(datadir)/xfce4/mixer\" \
+ -DG_LOG_DOMAIN=\"xfce4-mixer\"
+
+ xfce4_mixer_CFLAGS = \
+--
+2.3.1
+
diff --git a/pasture/source/xfce4-mixer/0001-icons-Makefile.am-Remove-unnecessary-gtk-update-icon.patch b/pasture/source/xfce4-mixer/0001-icons-Makefile.am-Remove-unnecessary-gtk-update-icon.patch
new file mode 100644
index 000000000..ce1eae687
--- /dev/null
+++ b/pasture/source/xfce4-mixer/0001-icons-Makefile.am-Remove-unnecessary-gtk-update-icon.patch
@@ -0,0 +1,36 @@
+From 735927c7a72b69f60f13fe7bcf4a10c1a80ca151 Mon Sep 17 00:00:00 2001
+From: Robby Workman <rworkman@slackware.com>
+Date: Thu, 19 Feb 2015 19:07:06 -0600
+Subject: [PATCH] icons/Makefile.am: Remove unnecessary gtk-update-icon-cache
+
+No icons are installed in the standard paths any more, so this
+appears to be leftover code.
+---
+ icons/Makefile.am | 13 -------------
+ 1 file changed, 13 deletions(-)
+
+diff --git a/icons/Makefile.am b/icons/Makefile.am
+index 70638c1..035476a 100644
+--- a/icons/Makefile.am
++++ b/icons/Makefile.am
+@@ -4,17 +4,4 @@ SUBDIRS = \
+ 16x16 \
+ scalable
+
+-gtk_update_icon_cache = gtk-update-icon-cache -f -t $(datadir)/icons/hicolor
+-
+-install-data-hook:
+- @-if test -z "$(DESTDIR)"; then \
+- echo "Updating Gtk icon cache."; \
+- $(gtk_update_icon_cache); \
+- else \
+- echo "*** Icon cache not updated. Remember to run:"; \
+- echo "***"; \
+- echo "*** $(gtk_update_icon_cache)"; \
+- echo "***"; \
+- fi
+-
+ # vi:set ts=8 sw=8 noet ai nocindent syntax=automake:
+--
+2.3.1
+
diff --git a/pasture/source/xfce4-mixer/doinst.sh b/pasture/source/xfce4-mixer/doinst.sh
new file mode 100644
index 000000000..9830478e8
--- /dev/null
+++ b/pasture/source/xfce4-mixer/doinst.sh
@@ -0,0 +1,14 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/pasture/source/xfce4-mixer/slack-desc b/pasture/source/xfce4-mixer/slack-desc
new file mode 100644
index 000000000..727418746
--- /dev/null
+++ b/pasture/source/xfce4-mixer/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xfce4-mixer: xfce4-mixer (Sound mixer applet for Xfce)
+xfce4-mixer:
+xfce4-mixer: The xfce4-mixer package contains a volume control application based
+xfce4-mixer: on GStreamer written to conceptually fit into the Xfce desktop
+xfce4-mixer: environment. It also contains a plugin for the Xfce panel which is
+xfce4-mixer: especially designed for use with the mouse wheel.
+xfce4-mixer:
+xfce4-mixer:
+xfce4-mixer:
+xfce4-mixer:
+xfce4-mixer:
diff --git a/pasture/source/xfce4-mixer/xfce4-mixer.SlackBuild b/pasture/source/xfce4-mixer/xfce4-mixer.SlackBuild
new file mode 100755
index 000000000..8d383e4a1
--- /dev/null
+++ b/pasture/source/xfce4-mixer/xfce4-mixer.SlackBuild
@@ -0,0 +1,115 @@
+#!/bin/sh
+
+# Slackware build script for xfce4-mixer
+
+# Copyright 2010, 2011 Robby Workman, Northport, Alabama, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PKGNAM=xfce4-mixer
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-2}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+cd $PKGNAM-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+patch -p1 < $CWD/0001-Make-Unique-support-optional.patch
+patch -p1 < $CWD/0001-Use-datadir-xfce4-mixer-as-MIXER_DATADIR.patch
+patch -p1 < $CWD/0001-icons-Makefile.am-Remove-unnecessary-gtk-update-icon.patch
+
+xdt-autogen
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc/xfce \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
+ --disable-debug \
+ --disable-unique \
+ --build=$ARCH-slackware-linux || exit 1
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+gzip -9 $PKG/usr/man/man?/*.?
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING* HACKING INSTALL NEWS README* THANKS TODO \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/pasture/source/xfce4-volumed/0001-Removed-deprecated-Encoding-entry-in-.desktop-file-t.patch b/pasture/source/xfce4-volumed/0001-Removed-deprecated-Encoding-entry-in-.desktop-file-t.patch
new file mode 100644
index 000000000..f3f43ea1f
--- /dev/null
+++ b/pasture/source/xfce4-volumed/0001-Removed-deprecated-Encoding-entry-in-.desktop-file-t.patch
@@ -0,0 +1,37 @@
+From 2ee3b12be641501ee3a9ce0278291b8c5a865021 Mon Sep 17 00:00:00 2001
+From: Steve Dodier <sidnioulz@gmail.com>
+Date: Thu, 3 Mar 2011 11:43:26 +0100
+Subject: [PATCH 1/3] Removed deprecated "Encoding" entry in .desktop file
+ (thanks to Samuli Suominen)
+
+---
+ ChangeLog | 3 +++
+ data/xfce4-volumed.desktop | 1 -
+ 2 files changed, 3 insertions(+), 1 deletion(-)
+
+diff --git a/ChangeLog b/ChangeLog
+index e1690ba..beeb5f6 100644
+--- a/ChangeLog
++++ b/ChangeLog
+@@ -1,4 +1,7 @@
+ 2011-03-03 Steve Dodier <sidnioulz@gmail.com>
++ * Removed deprecated "Encoding" entry in .desktop file (thanks to Samuli Suominen)
++
++2011-03-03 Steve Dodier <sidnioulz@gmail.com>
+ * Allow compatibility with Libnotify 0.7 (thanks to Samuli Suominen for the patch)
+
+ 2011-03-03 Steve Dodier <sidnioulz@gmail.com>
+diff --git a/data/xfce4-volumed.desktop b/data/xfce4-volumed.desktop
+index 8ac7dc7..be362c5 100644
+--- a/data/xfce4-volumed.desktop
++++ b/data/xfce4-volumed.desktop
+@@ -1,6 +1,5 @@
+
+ [Desktop Entry]
+-Encoding=UTF-8
+ Type=Application
+ Terminal=false
+ Name=XFCE Volume Daemon
+--
+2.3.0
+
diff --git a/pasture/source/xfce4-volumed/0003-Removing-edge-case-memleaks.patch b/pasture/source/xfce4-volumed/0003-Removing-edge-case-memleaks.patch
new file mode 100644
index 000000000..8d45bae32
--- /dev/null
+++ b/pasture/source/xfce4-volumed/0003-Removing-edge-case-memleaks.patch
@@ -0,0 +1,80 @@
+From ac129e178c24d7ec79b020a7912cc680a6008c5b Mon Sep 17 00:00:00 2001
+From: Steve Dodier-Lazaro <sidnioulz@gmail.com>
+Date: Wed, 10 Dec 2014 03:38:32 +0000
+Subject: [PATCH 3/3] Removing edge-case memleaks
+
+---
+ src/main.c | 2 +-
+ src/xvd_mixer.c | 30 ++++++++++++++++++------------
+ 2 files changed, 19 insertions(+), 13 deletions(-)
+
+diff --git a/src/main.c b/src/main.c
+index 18e8e01..d04920c 100644
+--- a/src/main.c
++++ b/src/main.c
+@@ -81,7 +81,7 @@ xvd_shutdown()
+ xvd_keys_release (Inst);
+ xvd_xfconf_shutdown (Inst);
+
+- //TODO xvd_instance_free
++ g_free (Inst);
+ }
+
+ static void
+diff --git a/src/xvd_mixer.c b/src/xvd_mixer.c
+index 1d580bf..cef3151 100644
+--- a/src/xvd_mixer.c
++++ b/src/xvd_mixer.c
+@@ -102,31 +102,37 @@ _xvd_mixer_bus_message (GstBus *bus, GstMessage *message,
+ {
+ gst_mixer_message_parse_mute_toggled (message, &msg_track, &Inst->muted);
+ g_object_get (msg_track, "label", &label, NULL);
+- if (g_strcmp0 (Inst->track_label, label) != 0)
+- return;
++
++ if (g_strcmp0 (Inst->track_label, label) == 0)
++ {
+ #ifdef HAVE_LIBNOTIFY
+- if (Inst->muted)
+- xvd_notify_notification (Inst, "audio-volume-muted", 0);
+- else {
+- xvd_mixer_init_volume (Inst);
+- xvd_notify_volume_notification (Inst);
++ if (Inst->muted)
++ xvd_notify_notification (Inst, "audio-volume-muted", 0);
++ else {
++ xvd_mixer_init_volume (Inst);
++ xvd_notify_volume_notification (Inst);
+ #endif
++ }
+ }
++
+ g_free (label);
+ }
+ else if (type == GST_MIXER_MESSAGE_VOLUME_CHANGED)
+ {
+ gst_mixer_message_parse_volume_changed (message, &msg_track, &volumes, &num_channels);
+ g_object_get (msg_track, "label", &label, NULL);
+- if (g_strcmp0 (Inst->track_label, label) != 0)
+- return;
+- xvd_calculate_avg_volume (Inst, volumes, num_channels);
++ if (g_strcmp0 (Inst->track_label, label) == 0)
++ {
++ xvd_calculate_avg_volume (Inst, volumes, num_channels);
+ #ifdef HAVE_LIBNOTIFY
+- xvd_notify_volume_notification (Inst);
++ xvd_notify_volume_notification (Inst);
+ #endif
++ }
++
+ g_free (label);
+ }
+- else if (type == GST_MIXER_MESSAGE_MIXER_CHANGED) {
++ else if (type == GST_MIXER_MESSAGE_MIXER_CHANGED)
++ {
+ // This kind of message shouldn't happen on an hardware card
+ g_debug ("GST_MIXER_MESSAGE_MIXER_CHANGED event\n");
+ }
+--
+2.3.0
+
diff --git a/pasture/source/xfce4-volumed/slack-desc b/pasture/source/xfce4-volumed/slack-desc
new file mode 100644
index 000000000..e9266cbca
--- /dev/null
+++ b/pasture/source/xfce4-volumed/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xfce4-volumed: xfce4-volumed (audio volume management daemon)
+xfce4-volumed:
+xfce4-volumed: This daemon is responsible for making the volume up/down and mute
+xfce4-volumed: keys of the keyboard work automatically, and uses the XFCE mixer's
+xfce4-volumed: defined card and track for choosing which track to act on.
+xfce4-volumed:
+xfce4-volumed: It also provides volume change and mute toggle notifications if
+xfce4-volumed: a notification daemon is running (using libnotify).
+xfce4-volumed:
+xfce4-volumed: Homepage: https://launchpad.net/xfce4-volumed
+xfce4-volumed:
diff --git a/pasture/source/xfce4-volumed/xfce4-volumed.SlackBuild b/pasture/source/xfce4-volumed/xfce4-volumed.SlackBuild
new file mode 100755
index 000000000..d1123f784
--- /dev/null
+++ b/pasture/source/xfce4-volumed/xfce4-volumed.SlackBuild
@@ -0,0 +1,109 @@
+#!/bin/sh
+
+# Slackware build script for xfce4-volumed
+
+# Copyright 2006-2011 Robby Workman Northport, Alabama, USA
+# Copyright 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PKGNAM=xfce4-volumed
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-3}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+cd $PKGNAM-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+patch -p1 < $CWD/0001-Removed-deprecated-Encoding-entry-in-.desktop-file-t.patch
+patch -p1 < $CWD/0003-Removing-edge-case-memleaks.patch
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
+ --enable-debug=no \
+ --build=$ARCH-slackware-linux || exit 1
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING* INSTALL NEWS README* THANKS \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz